%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate petgraph

Name:           rust-petgraph
Version:        0.6.4
Release:    2%{?dist}
Summary:        Graph data structure library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/petgraph
Source0:         %{crates_source}
Patch:          petgraph-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Graph data structure library. Provides graph types and graph algorithms.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CONTRIBUTING.rst
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASES.rst
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+all-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+all-devel %{_description}

This package contains library source intended for building other packages which
use the "all" feature of the "%{crate}" crate.

%files       -n %{name}+all-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-devel %{_description}

This package contains library source intended for building other packages which
use the "generate" feature of the "%{crate}" crate.

%files       -n %{name}+generate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+graphmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+graphmap-devel %{_description}

This package contains library source intended for building other packages which
use the "graphmap" feature of the "%{crate}" crate.

%files       -n %{name}+graphmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+matrix_graph-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+matrix_graph-devel %{_description}

This package contains library source intended for building other packages which
use the "matrix_graph" feature of the "%{crate}" crate.

%files       -n %{name}+matrix_graph-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-1-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-1" feature of the "%{crate}" crate.

%files       -n %{name}+serde-1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_derive" feature of the "%{crate}" crate.

%files       -n %{name}+serde_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stable_graph-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stable_graph-devel %{_description}

This package contains library source intended for building other packages which
use the "stable_graph" feature of the "%{crate}" crate.

%files       -n %{name}+stable_graph-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.6.4-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.4-1
- initial build
